%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	TimeDate

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	A Date/Time Parsing Perl Module.
Name:		perl-%{perlname}
Version:	1.16
Release:	3
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=TimeDate
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
A Date/Time Parsing Perl Module.
For more details see: http://search.cpan.org/search?module=TimeDate

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.16-3
- Rebuild against perl 5.10.0
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 1.16-2
- rebuild against perl-5.8.8
* Sun Feb 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.16-1
- Initial Release
